﻿using System.Drawing;

using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Views.Layout;
using DevExpress.XtraGrid.Views.Layout.Events;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.layoutView.OptionsBehavior.AutoPopulateColumns = true;

            this.gridControl.DataSource = new nwindDataSetTableAdapters.CustomersTableAdapter().GetData();

            this.layoutView.CustomFieldCaptionStyle += layoutView_CustomFieldCaptionStyle;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 레이아웃 뷰 필드 제목 스타일 커스텀 설정하기 - layoutView_CustomFieldCaptionStyle(sender, e)

        /// <summary>
        /// 레이아웃 뷰 필드 제목 스타일 커스텀 설정하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void layoutView_CustomFieldCaptionStyle(object sender, LayoutViewFieldCaptionStyleEventArgs e)
        {
            if(e.Column.FieldName != "City")
            {
                return;
            }

            LayoutView layoutView = sender as LayoutView;

            bool isLondon = layoutView.GetRowCellValue(e.RowHandle, e.Column).ToString() == "London";

            if(isLondon)
            {
                e.Appearance.ForeColor = Color.White;
                e.Appearance.BackColor = Color.RoyalBlue;
                e.Appearance.Font      = new Font(e.Appearance.Font, FontStyle.Bold);
            }
        }

        #endregion
    }
}